export interface DynamicMenuElement {
  id: number
  title?: string
  icon?: string
  color?: string
  type?: 'divider'
  disabled?: boolean
  click?: (val?: number) => void
}

export interface IssueMenu {
  id: number
  name: string
  click?: (id: number) => void
  children?: { id: number; name: string; click?: (id: number) => void }[]
}

export interface TableHeader {
  readonly key?: (string & {}) | 'data-table-group' | 'data-table-select' | 'data-table-expand' | undefined
  readonly title?: string | undefined
  readonly fixed?: boolean | undefined
  readonly align?: 'start' | 'end' | 'center' | undefined
  readonly width?: string | number | undefined
  readonly minWidth?: string | number | undefined
  readonly maxWidth?: string | number | undefined
  readonly nowrap?: boolean | undefined
  readonly sortable?: boolean | undefined
}
